Index of /pub/pkgsrc/current/pkgsrc/devel/cmake

[ICO]NameLast modifiedSizeDescription

[PARENTDIR]Parent Directory  -  
[   ]DESCR2003-05-07 20:55 1.1K 
[   ]Makefile2019-11-28 10:00 2.3K 
[   ]Makefile.common2019-11-28 07:33 450  
[   ]Makefile.version2019-12-12 10:00 194  
[   ]PLIST2019-11-28 10:00 162K 
[   ]PLIST.Cygwin2013-10-03 05:04 110  
[TXT]README.html2019-12-12 22:14 13K 
[   ]buildlink3.mk2011-09-15 10:02 375  
[   ]distinfo2019-12-12 10:00 1.9K 
[DIR]files/2019-02-28 10:00 -  
[DIR]patches/2019-11-29 10:00 -  

The NetBSD Packages Collection: devel/cmake Daemon Power

The NetBSD Packages Collection: devel/cmake

Brief description of the package:
Cross platform make

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.cmake.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/cmake" directory. The current source version of the package is "cmake-3.16.1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/cmake :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: libarchive>=3.3.3 cwrappers>=20150314 libarchive>=3.1 libuv>=1.6 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 libarchive>=3.3.1 curl>=7.65.3nb3 rhash>=1.3.1 .

This package requires the following package(s) to run: libarchive>=3.3.3 libarchive>=3.1 libuv>=1.6 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 libarchive>=3.3.1 curl>=7.65.3nb3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:

alpha:cmake-3.14.0.tgz(NetBSD 8.0)
alpha:cmake-3.13.2.tgz(NetBSD 8.0)
alpha:cmake-3.14.5.tgz(NetBSD 8.0)
alpha:cmake-3.15.3.tgz(NetBSD 8.0)
earm:cmake-3.4.1nb1.tgz(NetBSD 7.0)
earm:cmake-3.13.2.tgz(NetBSD 8.0)
earm:cmake-3.14.0.tgz(NetBSD 8.0)
earm:cmake-3.14.5.tgz(NetBSD 8.0)
earmv4:cmake-3.14.0.tgz(NetBSD 8.0)
earmv4:cmake-3.14.5.tgz(NetBSD 8.0)
earmv4:cmake-3.15.3.tgz(NetBSD 8.0)
earmv6hf:cmake-3.15.3.tgz(NetBSD 8.0)
earmv6hf:cmake-3.14.5.tgz(NetBSD 8.0)
earmv7hf:cmake-3.15.3.tgz(NetBSD 8.0)
earmv7hf:cmake-3.14.5.tgz(NetBSD 8.0)
i386:cmake-2.8.12.2nb3.tgz(MirBSD 10)
i386:cmake-3.15.3.tgz(NetBSD 7.0)
i386:cmake-3.14.0.tgz(NetBSD 7.0)
i386:cmake-3.14.5.tgz(NetBSD 7.0)
i386:cmake-3.14.0.tgz(NetBSD 7.1)
i386:cmake-3.14.5.tgz(NetBSD 7.1)
i386:cmake-3.15.3.tgz(NetBSD 7.1)
i386:cmake-3.15.3.tgz(NetBSD 8.0)
i386:cmake-3.14.0.tgz(NetBSD 8.0)
i386:cmake-3.14.5.tgz(NetBSD 8.0)
i386:cmake-2.8.5.tgz(QNX 6.5.0)
m68k:cmake-3.14.0.tgz(NetBSD 8.0)
m68k:cmake-3.14.5.tgz(NetBSD 8.0)
m68k:cmake-3.14.0.tgz(NetBSD 8.0)
m68k:cmake-3.15.3.tgz(NetBSD 8.0)
mips64eb:cmake-3.13.2.tgz(NetBSD 8.0)
mips64eb:cmake-3.14.5.tgz(NetBSD 8.0)
mips64eb:cmake-3.15.3.tgz(NetBSD 8.0)
mips64el:cmake-3.10.2.tgz(NetBSD 8.99.12)
mipsel:cmake-3.10.2.tgz(NetBSD 8.0_BETA)
powerpc:cmake-3.14.0.tgz(NetBSD 7.1)
powerpc:cmake-3.13.2.tgz(NetBSD 7.1)
powerpc:cmake-3.14.5.tgz(NetBSD 8.0)
powerpc:cmake-3.15.3.tgz(NetBSD 8.0)
powerpc:cmake-3.14.5.tgz(NetBSD 9.0)
sparc64:cmake-3.11.4.tgz(NetBSD 7.1)
sparc64:cmake-3.14.5.tgz(NetBSD 8.0)
sparc64:cmake-3.15.3.tgz(NetBSD 8.0)
sparc:cmake-3.3.1.tgz(NetBSD 7.0)
sparc:cmake-3.6.2.tgz(NetBSD 7.0)
sparc:cmake-3.14.0.tgz(NetBSD 8.0)
sparc:cmake-3.14.5.tgz(NetBSD 8.0)
sparc:cmake-3.15.3.tgz(NetBSD 8.0)
vax:cmake-3.5.0.tgz(NetBSD 7.0)
x86_64:cmake-3.11.1.tgz(Linux 4.13.0)
x86_64:cmake-3.11.1nb1.tgz(Linux 4.15.0)
x86_64:cmake-3.15.3.tgz(NetBSD 7.0)
x86_64:cmake-3.14.0.tgz(NetBSD 7.0)
x86_64:cmake-3.14.5.tgz(NetBSD 7.0)
x86_64:cmake-3.15.3.tgz(NetBSD 7.1)
x86_64:cmake-3.14.0.tgz(NetBSD 7.1)
x86_64:cmake-3.14.5.tgz(NetBSD 7.1)
x86_64:cmake-3.14.0.tgz(NetBSD 8.0)
x86_64:cmake-3.14.5.tgz(NetBSD 8.0)
x86_64:cmake-3.15.3.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]